Another interesting question is if you can improve the greedy algorithm to get lower discrepancy. Our greedy ignore 0’s in intervals. A greedy algorithm that ignore intervals with 0’s was considered in earlier polymath5 threads and to the best of my memory achieve discrepancy . Maybe a clever interpolation between these two variants will do a better job than both?

]]>The linear-algebraic notions of discrepancy discussed in these papers may be relevant to various issues of the EDP project. ]]>

My wild guess is that LDH may be closer to the truth for O(1) random permutations. I.e., maybe three randomly permuted simple random walks still have their prefix sums mostly uncorrelated and the discrepancy is actually constant. But I do not know how to formalize anything like this.

]]>To my knowledge, it is not known what is the discrepancy of a set system based on 3 (or more) random permutations. (We can let the first permutation be the identity and then pick two other random permutations.)

The pattern from the three permutations with high discrepancy might appear as an induced pattern if we choose long enough random permutations, but it is not clear if the other elements will cancel out the discrepancy from the pattern.

]]>To the readers: Here is a link with a description of the 3-permutation problem http://gilkalai.wordpress.com/2011/08/29/alantha-newman-and-alexandar-nikolov-disprove-becks-3-permutations-conjecture/

What you say is very interesting. I will try to check the computations (but like other heuristics LDH can be creatively adjusted at times) In a sense this is a question with one higher level of complication since we have a question on the maximum over a family of hypergraphs.

Is the situation for random permutations known (or even obvious)?

]]>Unless I compute wrong, LDH gives prediction O(1) both for the discrepancy of 2 and the discrepancy of 3 permutations, right? (Correct in the case of 2 and wrong in the case of 3.) I think Spencer had a similar intuition why those discrepancies should be in fact constant.

But if you look at the permutations problem and how the LDH estimate is computed, LDH assumes 3 independent random walks, while in fact in choosing the permutations we have quite a lot of freedom in correlating the walks. A lot more freedom than we do with HAPs.

]]>